org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPTypeSpecialization

All Superinterfaces:
  java.lang.Cloneable, IBinding, ICPPBinding, ICPPSpecialization, IType

All Known Subinterfaces:
  ICPPClassSpecialization, ICPPClassTemplatePartialSpecializationSpecialization, ICPPEnumerationSpecialization

    public interface ICPPTypeSpecialization
    extends ICPPSpecialization, IType

A common interface for ICPPClassSpecialization and ICPPEnumerationSpecialization.

Since:
  5.9

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Method Summary

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPSpecialization

`getSpecializedBinding, getTemplateParameterMap`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`